org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class ControllerVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.ControllerVisitor

    public class ControllerVisitor
    extends org.objectweb.asm.AnnotationVisitor

Parses the @Controller annotation.

Author:
  Felix Project Team
See Also:
  `Controller`

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`ControllerVisitor(ComponentWorkbench workbench, String field)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visitEnd()` Visit @Handler annotation attributes.

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visit, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ControllerVisitor

    public ControllerVisitor(ComponentWorkbench workbench,
                             String field)

### Method Detail

#### visitEnd

    public void visitEnd()

Visit @Handler annotation attributes.

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `AnnotationVisitor.visit(String, Object)`